江枫渔_ 2023-01-07 18:09 采纳率: 50%
浏览 51
已结题

centos7重装glibc后无法进入图形界面

最近得用gmsh,然后头脑一热装了最新版,但是最新版必须得需要glibc2.23版本以上,查看当前版本发现只有2.17,接着照着网上教程做学着升级glibc,下载了2.232.33分别试了源码编译,都失败了,然后看了一个博客说要链接lib.so.6。
问题出来了,链接之后,好像没啥反应,于是我做了个可怕的决定,重启!!

然后就进不去系统了,最后照着网上教程,赶紧做了centos7的启动盘,rpm重装了glibc的2.17版本,lib.so.6也重新链接了,重启等了很长时间,系统是进去了,但是就是没有图形界面。我重新装了图形界面还是进不去。只能进入命令行模式。
上次我是升级opengl版本,就更新显卡驱动,结果也是进不去图形界面,最后卸载了才行的,而这次我是真没办法了😭

  • 写回答

7条回答 默认 最新

  • |__WhoAmI__| 2023-01-07 18:26
    关注

    在升级 glibc 前,有必要确保所有依赖 glibc 的软件都已兼容新版本。如果软件无法正常工作,就可能需要重新编译或升级软件。

    在升级 glibc 时,有时会发生问题。如果使用的是源代码进行编译,就可能存在编译问题。也可能遇到与系统配置有关的问题。

    建议可以试试使用系统软件包管理器(如 yum)来升级 glibc。这样可以避免编译问题,并且系统软件包管理器会自动处理依赖项和其他系统配置。

    如果仍然无法解决问题,建议使用操作系统的恢复模式或安装盘进行修复。这可能会恢复系统的正常运行,但是可能会丢失一些数据。
    仅供参考。

    本回答被题主选为最佳回答 , 对您是否有帮助呢?
    评论 编辑记录
查看更多回答(6条)

报告相同问题?

问题事件

  • 系统已结题 1月18日
  • 已采纳回答 1月10日
  • 赞助了问题酬金15元 1月7日
  • 创建了问题 1月7日

悬赏问题

  • ¥15 集合A由3个2行4列二维数组构成,从集合A中任意取一个二维数组元素、如果该二维数组元素的对应列位置的上、下两数都是奇数,而且仅有2个列是奇数/奇数,则该数组有意义,并放入集合B中打印输出。
  • ¥15 电信IPV6 无法外网访问吗
  • ¥15 有偿求效果比较好的遥感影像匹配的c++代码
  • ¥15 博主,你好,我下载了你的智能网联汽车辅助驾驶安全信息检测系统,现在不会运行,可以教我吗,
  • ¥15 怎么在excle输入下列公式
  • ¥15 Arduino,利用modbus的RS485协议,进行对外置的温湿度传感器进行数据读取
  • ¥15 vhdl+MODELSIM
  • ¥20 simulink中怎么使用solve函数?
  • ¥30 dspbuilder中使用signalcompiler时报错Error during compilation: Fitter failed,求解决办法
  • ¥15 没有注册类 (异常来自 HRESULT: 0x80040154 (REGDB_E_CLASSNOTREG))